Summary:	Rasqal RDF Query Library
Summary(pl.UTF-8):	Rasqal - biblitoteka zapytań RDF
Name:		rasqal
Version:	0.9.32
Release:	2
Epoch:		1
License:	LGPL v2.1+ or GPL v2+ or Apache v2.0+
Group:		Libraries
Source0:	http://download.librdf.org/source/%{name}-%{version}.tar.gz
# Source0-md5:	dc7c6107de00c47f85f6ab7db164a136
Patch0:		%{name}-link.patch
URL:		http://librdf.org/rasqal/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison >= 3.0
BuildRequires:	flex >= 2.5.36
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	libraptor2-devel >= 2.0.7
BuildRequires:	libtool >= 2:2
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 1:2.6.8
BuildRequires:	mhash-devel
BuildRequires:	mpfr-devel
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	which
Requires:	libraptor2 >= 2.0.7
Requires:	libxml2 >= 1:2.6.8
Requires:	pcre >= 3.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
RDF Query Language.

%description -l pl.UTF-8
Język zapytań RDF.

%package devel
Summary:	Header files for the Rasqal RDF query library
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki zapytań RDF Rasqal
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libraptor2-devel >= 2.0.7
Requires:	libxml2-devel >= 1:2.6.8
Requires:	mhash-devel
Requires:	mpfr-devel
Requires:	pcre-devel >= 3.9

%description devel
Header files for the Rasqal RDF query library.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki zapytań RDF Rasqal.

%package static
Summary:	Static Rasqal library
Summary(pl.UTF-8):	Statyczna biblioteka Rasqal
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Rasqal library.

%description static -l pl.UTF-8
Statyczna biblioteka Rasqal.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-datatypes \
	--enable-release \
	--with-html-dir=%{_gtkdocdir} \
	--with-raptor=system \
	--with-triples-source=raptor
# don't use redland as triples-source, as it would cause linking loop

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE.txt NEWS NOTICE README RELEASE.html
%attr(755,root,root) %{_bindir}/roqet
%attr(755,root,root) %{_libdir}/librasqal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librasqal.so.3
%{_mandir}/man1/roqet.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rasqal-config
%attr(755,root,root) %{_libdir}/librasqal.so
%{_libdir}/librasqal.la
%{_includedir}/rasqal
%{_pkgconfigdir}/rasqal.pc
%{_mandir}/man1/rasqal-config.1*
%{_mandir}/man3/librasqal.3*
%{_gtkdocdir}/rasqal

%files static
%defattr(644,root,root,755)
%{_libdir}/librasqal.a
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rasqal.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> e3a4c55
- x32 rebuild
- release 2 (by relup.sh)

* Tue Feb 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 7b8b422
- updated to 0.9.32

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> a202ead
- updated to 0.9.31

* Thu Nov 28 2013 Jakub Bogusz <qboosh@pld-linux.org> dc0a59f
- updated to 0.9.30 (note: RDQL support removed)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 04221f5
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> ad92ceb
- release 2 (by relup.sh)

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 7d5d25d
- updated to 0.9.29

* Sat Nov 26 2011 Jakub Bogusz <qboosh@pld-linux.org> f95e093
- updated to 0.9.28

* Mon Sep 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 370bc4d
- updated to 0.9.27

* Sun Jul 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 7accfe9
- updated to 0.9.26

* Mon May 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 9049e8e
- added link patch (missing -lm for librasqal)
- release 2

* Mon May 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 0ae4c44
- added link patch (missing -lm for librasqal)
- release 2

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> ae67288
- updated to 0.9.25

* Mon Jan 31 2011 Jakub Bogusz <qboosh@pld-linux.org> 1b84d4e
- updated to 0.9.24

* Fri Jan 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 172402b
- updated to 0.9.23

* Mon Jan 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 9336de0
- updated to 0.9.22 (new soname; now uses libraptor2)

* Thu Dec 09 2010 Caleb Maclennan <caleb@alerque.com> 669670b
- Up to 0.9.21

* Fri Nov 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 355a500
- track soname
- updated BR versions

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> e4e42a0
- Up to 0.9.20

* Wed May 05 2010 shadzik <shadzik@pld-linux.org> ba80e8a
- 0.9.19

